function dot= Lin_ACS(qc,q,x,wb)       % PID Attitude Controller
global d2r r2d ki kp

% State Variables (x)
% x(1-3)  = Position Integration

dot= zeros(9,1);                       % 9 outputs
Qe= qerror(qc,q); qe= Qe(1:3);         % Attitude Quaternion error
dot(1:3)= ki*qe;                       % Position Integration
wc= x(1:3) + kp*qe;                    % PI Control when kay=0
dot(4:6) = qe;                         % Quaternion Error Output
dot(7:9) = wc;                         % Rate Command
