function dot= Lin_ACS2(qc,q,x,wb)                % Max-Energy Attitude Controller
global d2r r2d ki kp

% State Variables (x)
% x(1-3)  = Position Integration

dot= zeros(14,1);                                        % 14 outputs
Qe= qerror(qc,q); qe= Qe(1:3);                           % Attitude Quaternion error
dot(1:3)= ki*qe;                   % Position Integration
wccc= x(1:3) + kp*qe;                                    % PI Control when kay=0

wc = wccc;                                            % whatever is commanded by energy limit
dot(6:8) = qe;                                           % Quaternion Error Output
dot(9:11)= wc;                                           % Rate Command

dot(12:14)= [0; 0; 0];
