function [Pj,thd,phd,ddd]= Transforms(bet,gam,del,wb)
global d2r 
[nr,nc]=size(gam);
b=bet*d2r; g=gam*d2r; d=del;
sb=sin(b); cb=cos(b); 
wx=wb(1); wy=wb(2); wz=wb(3);            % Rates in CMG axes

for i=1:nc
    sg=sin(g(i)); cg=cos(g(i)); 
    sd=sin(d(i)); cd=cos(d(i)); 
    P= [sb*sg, -sd*cg-cd*cb*sg, cd*cg-sd*cb*sg; ...
       -sb*cg, -sd*sg+cd*cb*cg, cd*sg+sd*cb*cg; ...
        cb,     cd*sb,          sd*sb];
    Pj(:,:,i)=P;

    thd(i)= wx*cg + wy*sg;               % theta_dot
    phd(i)=-wx*cb*sg + wy*cb*cg + wz*sb; % phi_dot
    ddd(i)= wx*sb*sg - wy*sb*cg + wz*cb; % delta_dot_inrt - delta_dot_rel
end
