label='Wise Spacecraft, 60 deg maneuver about eigenaxis: [1,-0,0]';

figure (1)
plot(time,wb*r2d, time,wc*r2d)
Title(label)
ylabel('Vehi body rates, rate-comd (deg/s)')
xlabel('Time')
%---------------------------------------------------------
figure (2)
plot(time,wr*60/(2*pi))
Title(label)
ylabel('React-Wheel Rate (rpm)')
xlabel('Time')
%---------------------------------------------------------
figure (3)
plot(time,delta*r2d)
Title(label)
ylabel('CMG Gimbal Angles (deg)')
legend('pitch gimb','yaw gimb');
xlabel('Time')
%---------------------------------------------------------
figure (4)
plot(time,deld, time,ddotc)
Title(label)
ylabel('CMG Gimbal Rates, Rate-cmds (rad/sec)')
xlabel('Time')
%---------------------------------------------------------
figure (5)
plot(time,deldd)
Title(label)
ylabel('CMG Gimbal Accelerat (rad/sec^2)')
xlabel('Time')
%---------------------------------------------------------
figure (6)
[n1,n2]=size(Hsys); q1=zeros(n1,1);
for i=1:n1; q1(i)= norm(Hsys(i,:)); end
plot(time,Hsys, time,q1,'m')
Title(label)
legend('Roll','Pitch','Yaw', 'Magnitude');
ylabel('System Momentum, Magnitude (ft-lb-sec)')
xlabel('Time')
%---------------------------------------------------------
figure (7)
plot(time,Hcmg)
Title(label)
ylabel('MCS Momentum (ft-lb-sec)')
legend('Roll','Pitch','Yaw');
xlabel('Time')
%---------------------------------------------------------
figure (8)
plot(qe*r2d*2, wb*r2d)
Title(label)
GRID ON
xlabel('Attitude Quatern Error 2*e*sin(a/2) (deg)')
ylabel('Rate (deg/s)')
%---------------------------------------------------------
figure (9)
plot(time,Trq)
Title(label)
ylabel('MCS Control Torque (ft-lb)')
legend('Roll','Pitch','Yaw');
xlabel('Time')
%---------------------------------------------------------
figure (10)
[n1,n2]=size(qe); q3=zeros(n1,2);
for i=1:n1; 
    q1(i)= norm(qe(i,1));
    q2(i)= norm(qe(i,[2:3])); 
end
semilogy(time,q1(1:n1)*2*r2d,'b', time,q2(1:n1)*2*r2d,'r'); 
GRID ON
AXIS([0 max(time) 1.0e-6 1.0e+2])
legend('Roll','Pitch/Yaw');
ylabel('Attitude Error (deg)')
xlabel('Time')
%---------------------------------------------------------
figure (11)
plot(time,Twc)
Title(label)
ylabel('RW Torque (ft-lb)')
xlabel('Time')
%---------------------------------------------------------
figure (12)
plot(time,rotat); GRID ON
Title(label)
ylabel('Total Rotation angle (deg)')
%---------------------------------------------------------
figure (13)
plot(time,exis)
Title(label)
legend('Roll','Pitch','Yaw');
ylabel('Rotation Eigenaxis')
xlabel('Time')
%---------------------------------------------------------
