global J m ref quad hcmg d2r r2d wcmg zeta
global kr ki kp bet gam
d2r= pi/180; r2d=180/pi;

J=[1.410986E+4, -0.3103E+2, -0.1187E+2; ...        % Spacecraft MOI
   -0.3103E+2,  1.30452E+4, -0.16151e+3; ...
   -0.1187E+2, -0.16151e+3,  0.175972E+4];
[As, Bs, Cs, Ds]= sc_4cmg_rb;                      % Load Rigid Spacecr from FVP
[Af, Bf, Cf, Df]= sc_4cmg_flex;                    % Load Flex Spacecr from FVP

wcmg=500; zeta= 0.95; lamb=0.5;                    % CMG servo bandwidth (rad/s), damping coeff
Jgi=0.6;                                           % CMG Gimbal Inertia
Kii=lamb*Jgi*wcmg^3;                               % CMG Servo Gains
Ka=(1+2*zeta*lamb)*Jgi*wcmg^2; 
Kb=(2*zeta+lamb)*wcmg/Ka;   
hcmg=[1, 1, 1, 1]*1200;                            % CMG Momentum capability
ki=0.07; kp=1.4; kr=10;                            % PID Gains: ki=0.3; kp=7.3; kr=12

% CMG Geometry
bet=68;                                            % Pyramid Beta angle
gam=[90, 180, 270, 0];                             % Pyramid Gamma angles
[m, ref, quad]= M4(bet);                           % CMG Gimbal, Spin, & Torq direction matrices
