label='2 SGCMG & 1 RW with Flex, small angle maneuver in direct: [1 -1 1]';
%------------------------------------------
figure (1)
[n1,n2]=size(qe); q3=zeros(n1,2);
for i=1:n1; 
    q1(i)= norm(qe(i,1));
    q2(i)= norm(qe(i,[2:3])); 
end
SUBPLOT(2,1,1), semilogy(time,q1(1:n1)*2*r2d,'b', time,q2(1:n1)*2*r2d,'r'); 
Title(label)
GRID ON
AXIS([0 max(time) 1.0e-6 1.0e+2])
legend('Roll','Pitch/Yaw');
ylabel('Attitude Error (deg)')
xlabel('Time')

SUBPLOT(2,1,2), plot(-qe*r2d, wb*r2d, 'LineWidth',1.5); grid ON
ylabel('Rate Error (deg/s)')
xlabel('Attitude Error (deg)')
%------------------------------------------
figure (2)
SUBPLOT(2,2,2), plot(time,wb*r2d, 'LineWidth',1.5); grid ON
Title(label)
ylabel('Vehi Body Rates (deg/s)')

SUBPLOT(2,2,1), plot(time,theta*r2d, 'LineWidth',1.5); grid ON
ylabel('Attitude (deg)')

SUBPLOT(2,2,3), plot(time,wr*60/(2*pi), 'LineWidth',1.5); grid ON
ylabel('React-Wheel Rate (rpm)')
xlabel('Time')

SUBPLOT(2,2,4), plot(time,Twc, 'LineWidth',1.5); grid ON
ylabel('RW Torque (ft-lb)')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,2,1), plot(time, delta*r2d, 'LineWidth',1.5); grid ON
Title(label)
ylabel('Gimbal Angle (deg)')

SUBPLOT(2,2,3), plot(time,Hcmg, 'LineWidth',1.5); grid ON
ylabel('CMG Mom body (ft-lb-s)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time, deld*r2d, 'LineWidth',1.5); grid ON
ylabel('Gimbal Rate (deg/s)')
legend('Gmb#1 Ptch','Gmb#2 Yaw');

SUBPLOT(2,2,4), plot(time,Tci, 'LineWidth',1.5); grid ON
ylabel('CMG Gimbl Torq (ft-lb)')
legend('Gmb#1 Ptch','Gmb#2 Yaw');
xlabel('Time')
%------------------------------------------