label='4 SGCMG with Flex';
%------------------------------------------
figure (1)
SUBPLOT(2,2,1), plot(time,atti, 'LineWidth',1.5); grid ON
Title(label)
ylabel('Spacecraft Attitude (deg)')
xlabel('Time')

SUBPLOT(2,2,2), semilogy(time,ater,'LineWidth',1.5); grid ON
ylabel('Attitude Error')
AXIS([0 max(time) 1.0e-4 1.0e+3])
xlabel('Time')


SUBPLOT(2,2,4), plot(-ater, wb_2*r2d, 'LineWidth',1.5)
ylabel('Attit Error')
xlabel('Rate Error')
%------------------------------------------
figure (3)
SUBPLOT(2,2,1), plot(time, wb_2*r2d, 'LineWidth',1.5); grid ON
Title(label)
ylabel('Rate at N#2 (deg/s)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time, acc_2, 'LineWidth',1.5); grid ON
ylabel('Acceler at N#2 (deg)')
xlabel('Time')

SUBPLOT(2,2,3), plot(time, wb_1*r2d, 'LineWidth',1.5)
ylabel('Rate at N#1 (deg/s)')
xlabel('Time')

SUBPLOT(2,2,4), plot(time, acc_4, 'LineWidth',1.5); grid ON
ylabel('Acceler at N#4 (deg)')
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,2,1), plot(time, delta*r2d, 'LineWidth',1.5); grid ON
Title(label)
ylabel('Gimbal Angles (deg)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time, deld*r2d, 'LineWidth',1.5); grid ON
ylabel('Gimbal Rates (deg/s)')
xlabel('Time')

SUBPLOT(2,2,3), plot(time,Hcmg, 'LineWidth',1.5)
ylabel('CMG Momentum in Body (ft-lb-sec)')
xlabel('Time')

SUBPLOT(2,2,4), plot(time,Tci, 'LineWidth',1.5)
ylabel('Gimbal Torques (ft-lb)')
xlabel('Time')
%------------------------------------------
