function out= QuatView(q);
% [e,th]= QuatView(q);
% Quaternion direction (e) and rotation angle (th) (deg)

sa=sqrt(q(1:3)'*q(1:3));   % sin(th/2)
a=asin(sa);                % th/2  (rad)
if abs(a)<0.000001; a=0.000001; end
th=a*2*180/pi;             % th (deg)
e= q(1:3)/sin(a);          % e  (direction)
out=[e;th];