label='50 deg RCS maneuver about axis: [0.58, -0.58, -0.58]';
%------------------------------------------
figure (1)
SUBPLOT(2,1,1), plot(tim,wbd)
Title(label)
ylabel('angular accel (rad/s^2)')

SUBPLOT(2,1,2), plot(tim,wb)
ylabel('body rates (rad/s)')
xlabel('Time')
%------------------------------------------
figure (9)
SUBPLOT(2,1,1), plot(tim,exis)
Title(label)
ylabel('Direction of Rotation')
SUBPLOT(2,1,2), plot(tim,rotat)
ylabel('Rotation Angle (deg)')
xlabel('Time')
%------------------------------------------
figure (6)
plot(-qe*114.59156, (wb)*57.2957)
Title('Phase-Plane')
GRID ON
xlabel('Attitude Error (deg)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (4) 
semilogy(tim,atter)
AXIS([0 max(tim) 1.0e-1 1.0e+2])
GRID ON
Title(label)
ylabel('Attitude Error (deg)')
xlabel('Time')
%------------------------------------------
