label='50 deg maneuver using (Sim-NonLin-Flex-Slo-6dof.mdl)';
%------------------------------------------
figure (1)
SUBPLOT(2,2,1), plot(time,rotat, 'LineWidth',1.5)
Title(label)
ylabel('Spacecr. Rotat (deg)'); grid ON
xlabel('Time')

SUBPLOT(2,2,3), plot(time,exis, 'LineWidth',1.5)
ylabel('Eigenaxis')
xlabel('Time')

SUBPLOT(2,2,4), plot(atter*r2d, wb2*r2d, 'LineWidth',1.5)
Title('Phase-Plane'); grid ON
xlabel('Attitude Error (deg)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (2)
SUBPLOT(2,2,1), plot(time,tran, 'LineWidth',1.5)
Title(label)
ylabel('Lin. Translat. (feet)'); grid ON
xlabel('Time')

SUBPLOT(2,2,3), plot(time,dV, 'LineWidth',1.5)
ylabel('Linear Veloc. (ft/sec)')
xlabel('Time')

SUBPLOT(2,2,4), plot(-Poser, dV, 'LineWidth',1.5)
Title('Phase-Plane'); grid ON
xlabel('Translation Error (feet)')
ylabel('Velocity (ft/sec)')
%------------------------------------------
figure (3)
SUBPLOT(2,2,1), plot(time,wb2*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Rate Gyro #2 (d/s)')

SUBPLOT(2,2,3), plot(time,wb4*r2d, 'LineWidth',1.5)
ylabel('Rate Gyro #4 (d/s)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time,acc2, 'LineWidth',1.5)
ylabel('Accelerom. #2 (d/s)')

SUBPLOT(2,2,4), plot(time,acc4, 'LineWidth',1.5)
ylabel('Accelerom. #4 (d/s)')
xlabel('Time')
%------------------------------------------
figure (5)
SUBPLOT(2,2,1), plot(time,Frcs, 'LineWidth',1.5)
Title(label)
ylabel('Jet Forces (lbf)')

SUBPLOT(2,2,2), plot(time,sync, 'LineWidth',1.5)
ylabel('Synchroniz. Signal')

SUBPLOT(2,2,3), plot(time,Acc, 'LineWidth',1.5); grid ON
ylabel('Vehi Linear Acceler (deg/s2)')
xlabel('Time')

SUBPLOT(2,2,4), plot(time,Fuel, 'LineWidth',1.5)
ylabel('Fuel=Integr(Sum(Thrust)*dT)')
xlabel('Time')
%------------------------------------------
figure (6)
SUBPLOT(2,2,1), plot(time,Xs, 'LineWidth',1.5)
Title(label)
ylabel('Mass Displacem (ft)')

SUBPLOT(2,2,3), plot(time,Xsd, 'LineWidth',1.5)
ylabel('Mass Veloc (ft/sec)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time,Xsdd, 'LineWidth',1.5)
ylabel('Mass Acceler (ft/sec2)')

SUBPLOT(2,2,4), plot(time,Fv, 'LineWidth',1.5)
ylabel('Force on Spacecraft (lb)')
xlabel('Time')
%------------------------------------------
figure (7)
SUBPLOT(2,2,1), plot(time,u1, 'LineWidth',1.5)
Title(label)
ylabel('Axial Direct u1')

SUBPLOT(2,2,3), plot(time,u2, 'LineWidth',1.5)
ylabel('Tangent Direct u2')
xlabel('Time')

SUBPLOT(2,2,2), plot(time,delta*12, 'LineWidth',1.5)
ylabel('Spring Deflect delta (in)')

SUBPLOT(2,2,4), plot(time,Wsl*57.295, 'LineWidth',1.5)
ylabel('Mass Angular Rate (deg/sec)')
xlabel('Time')
%------------------------------------------

