% Linear Analysis
start
[Ao,Bo,Co,Do]=linmod('Open_Loop');                 % Open-Loop Analysis Model
[Ac,Bc,Cc,Dc]=linmod('Closed_Loop');               % Closed-Loop Sensitivity Model
syso=SS(Ao,Bo,Co,Do);                              % for Stability analysis
sysc=SS(Ac,Bc,Cc,Dc);                              % for Stability analysis
w=logspace(-2,4,4000); 
figure(2); Bode(syso,w); grid on
figure(3); Nichols(syso,w)
figure(1); Sigma(sysc,w); grid on
