function mc= Mix(eu,aer,wb)
global Kr
% mc= Mix(eu,aer,wb) 
% Combine the attitude and rate errors
% Inputs
% eu(3) : Rotational Direction unit vector
% aer(3): Rotation Error 
% wb(3) : Body Rates Vector

% Compute the error signal
er= -(aer+diag(Kr)*wb);           % Switching line is combination of rate and attit error
mc= dot(er,eu);                   % Magnitude of (er) along direction (eu)
