function fi= Jet_main_3dof(sync,wdc)
global nt Th js tk
% wdc(3) : demanded change in rate
% sync   : jet time-on synchronization signal
% fi(nt) : Output jet thrusts

fi=zeros(nt,1); 	                      % Initialize thrusters to zero

if max(abs(wdc))==0; fi=zeros(nt,1); return; end 	

if (sync<0.0001)                          % Selected jet numbers ...
    [js,tk]= Jet_select_3dof(wdc);        % in the beginning of the 2 Hz cycle      
end                                       % js(i)=1 means jets selected

for i=1:nt/4                              % If jet is selected, and ...
    if (tk(i)>0 & sync<tk(i) & js(i)>0);  % sync signal below the "on-time" tk(i)
        fi(js(i))=1;                      % Turn the selected jet thrusts on
    end                                   % otherwise jet thrusts fi=0
end
