function fi= Jet_main_6dof(sync,wdc,acc)
global nt Th js tk
% wdc(3) : demanded change in rotational rate
% acc(3) : demanded change in velocity
% sync   : jet time-on synchronization signal
% fi(nt) : Output jet thrusts

fi=zeros(nt,1); 	                      % Initialize thrusters to zero
if max(abs([wdc;acc]))==0; return; end 	

if (sync<0.0001)                          % Selected jet numbers ...
    [js,tk]= Jet_select_6dof(wdc,acc);    % in the beginning of the 2 Hz cycle      
end                                       % js(i)=1 means jets selected

for i=1:nt/2                              % If jet is selected, and ...
    if (tk(i)>0 & sync<tk(i) & js(i)>0);  % sync signal below the "on-time" tk(i)
        fi(js(i))=Th;                     % Turn the selected jet thrusts on
    end                                   % otherwise jet thrusts fi=0
end
