label='Orbital Reboost Simulation Using the Main Engine';
%------------------------------------------
figure (1)
SUBPLOT(2,2,1), plot(atter*r2d, wb2*r2d, 'LineWidth',1.4)
Title('Phase-Plane'); grid ON
xlabel('Attitude Error (deg)')
ylabel('Rate Error (deg/s)')

SUBPLOT(2,2,2), plot(time,Frcs)
Title(label)
ylabel('Jet Forces (lbf)')

SUBPLOT(2,2,3), plot(time,atter*r2d, 'LineWidth',1.5)
ylabel('Attitude Error (deg)')
xlabel('Time')

SUBPLOT(2,2,4), plot(time,acc7, 'LineWidth',1.5)
ylabel('Lin Accel at Tank (ft/s2)')
xlabel('Time')
%------------------------------------------------------
figure (2)
SUBPLOT(2,2,1), plot(time,wb2*r2d, 'LineWidth',1.4)
Title(label)
ylabel('Rate Gyro #2 (d/s)')

SUBPLOT(2,2,3), plot(time,wb4*r2d, 'LineWidth',1.4)
ylabel('Rate Gyro #4 (d/s)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time,acc2, 'LineWidth',1.4)
ylabel('Accelerom. #2 (d/s)')

SUBPLOT(2,2,4), plot(time,acc4, 'LineWidth',1.4)
ylabel('Accelerom. #4 (d/s)')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,2,1), plot(time,Xs)
Title('Slosh Variables')
ylabel('Mass Displacem (ft)')

SUBPLOT(2,2,3), plot(time,Xsd)
ylabel('Mass Velocity (ft/sec)')
xlabel('Time')

SUBPLOT(2,2,2), plot(time,Xsdd)
ylabel('Mass Accelerat (ft/sec2)')

SUBPLOT(2,2,4), plot(time,Fv)
ylabel('Force on Spacecraft (lb)')
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,2,2), plot(time,u1)
Title('Slosh Variables')
ylabel('Axial Direct u1')

SUBPLOT(2,2,4), plot(time,u2)
ylabel('Tangent Direct u2')
xlabel('Time')

SUBPLOT(2,2,1), plot(time,delta*12)
ylabel('Spring Deflect delta (in)')

SUBPLOT(2,2,3), plot(time,Wsl*57.295)
ylabel('Mass Angular Rate (deg/sec)')
xlabel('Time')
%------------------------------------------

