label='Reboost maneuver, using (Sim-Lin-Reboost-fvp.mdl)';
%------------------------------------------
figure (1)
SUBPLOT(2,1,1), plot(time,atti*r2d, 'LineWidth',1.4)
Title(label)
grid ON
ylabel('Vehicle attitude (deg)')

SUBPLOT(2,1,2), plot(time,wb*r2d, 'LineWidth',1.4)
ylabel('Body rates (deg/s)')

xlabel('Time')
%------------------------------------------
figure (2)
plot(-atter*r2d, wb*r2d, 'LineWidth',1.4)
Title('Phase-Plane')
grid ON
xlabel('Attitude Error (deg)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,Frcs, 'LineWidth',1.4)
Title(label)
grid ON
ylabel('Jet Forces (lbf)')

SUBPLOT(2,1,2), plot(time,sync, 'LineWidth',1.4)
ylabel('Synchroniz. Signal')
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,Frcs, 'LineWidth',1.4)
Title(label)
grid ON
ylabel('Jet Forces (lbf)')

SUBPLOT(2,1,2), plot(time,Fuel, 'LineWidth',1.4)
ylabel('Fuel=Integr(Sum(Thrust)*dT)')
xlabel('Time')
%------------------------------------------
